Package com.emc.d2fs.interfaces

# Interface IArchiveService

All Superinterfaces:
  `ID2fsService`

public interface IArchiveService extends ID2fsService
Archive management for dictionary/taxonomy

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `createVersion(Context context, String id, String type, String name, String logEntry, String checkinVersion, boolean isAuto)`
  Create a new archive version
  `List<ArchiveInfo>`
  `listArchives(Context context, String id, String type, String name)`
  Get archive list
  `boolean`
  `testExists(Context context, String id, String type, String name)`
  Check if archive exists

  ### Methods inherited from interface com.emc.d2fs.interfaces.ID2fsService

  `isRemote, setRemote`

- ## Method Details

  - ### createVersion

    String createVersion(Context context, String id, String type, String name, String logEntry, String checkinVersion, boolean isAuto) throws Exception
    Create a new archive version
    Parameters:
      `context` - `Context` object containing informations about client/session
      `id` - String value of document id
      `type` - String value of archive type (dictionary, taxonomy)
      `name` - String value of archive name
      `logEntry` - String value of creation comment
      `checkinVersion` - String value of checkin version (major, minor, ...)
      `isAuto` - boolean value of automatic version (next_minor)
    Returns:
      String value of new object id
    Throws:
      `Exception`
    Since:
      4.0.1

  - ### listArchives

    List<ArchiveInfo> listArchives(Context context, String id, String type, String name) throws Exception
    Get archive list
    Parameters:
      `context` - `Context` object containing informations about client/session
      `id` - String value of document id
      `type` - String value of archive type (dictionary, taxonomy)
      `name` - String value of archive name
    Returns:
      `ArchiveInfo` list of archives
    Throws:
      `Exception`
    Since:
      4.0.1

  - ### testExists

    boolean testExists(Context context, String id, String type, String name) throws Exception
    Check if archive exists
    Parameters:
      `context` - `Context` object containing informations about client/session
      `id` - String value of document id
      `type` - String value of archive type (dictionary, taxonomy)
      `name` - String value of archive name
    Returns:
      true if archive exists
    Throws:
      `Exception`
    Since:
      4.0.1